# Hackerterminal

Plays recording of Shodan 2000 https://2000.shodan.io/ on a Raspberry Pi. To get random content upon reboot, we start at a random position.

## How to use
This requires omxplayer and Python3.

Python can be installed from repository. omxplayer has been deprecated. To install it perform the following steps:

1. In the /etc/apt/sources.list ensure that there are the following two lines:
* deb http://raspbian.raspberrypi.org/raspbian/ buster main contrib non-free rpi
* deb http://archive.raspberrypi.org/debian/ buster main ui
See also https://retropie.org.uk/forum/topic/25924/fails-to-install-on-raspbian-10/6

2. Run sudo apt-get update and sudo apt-get install sudo apt-get install omxplayer

3. Run sudo rpi-update

4. Comment out the following line in /boot/config.txt:
* dtoverlay=vc4-kms-v3d

5. Copy videoplayer.py and your video file to /home/pi. Then, change the file name in videoplayer.py to the file name of your video file.

6. Finally, make videoplayer.py executable with chmod +x and put a link to it in /etc/rc.local

7. Reboot to get everything working. Do not forget step 3!
